/*
 * Copyright (c) 2010-2024. Institut Pasteur.
 *
 * This file is part of Icy.
 * Icy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Icy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Icy. If not, see <https://www.gnu.org/licenses/>.
 */

package plugins.fab.timestamp;

import org.bioimageanalysis.icy.extension.plugin.abstract_.PluginActionable;
import org.bioimageanalysis.icy.extension.plugin.annotation_.IcyPluginName;
import org.bioimageanalysis.icy.gui.frame.progress.ToolTipFrame;
import org.bioimageanalysis.icy.model.sequence.Sequence;

@IcyPluginName("Timestamp")
public class Timestamp extends PluginActionable {
    // IcyFrame mainFrame ;

    @Override
    public void run() {
        new ToolTipFrame("<html>" + "<b>TimeStamp added.</b>" + "<br>"
                + "<br>Place your cursor over the TimeStamp's text and type one of the following letters to change the display:"
                + "<br>" + "<li> t : switch from frame to time (using time scale) display"
                + "<li> +/- : increase / decrease font size" + "<li> m : move time stamp to cursor location"
                + "<li> k : remove time stamp" + "</html>");

        final Sequence sequence = getActiveSequence();

        if (sequence != null)
            sequence.addOverlay(new TimeStampOverlay(sequence));
    }
}
